<?php

use Inc\Claz\Cron;
use Inc\Claz\Invoice;
use Inc\Claz\Util;

global $pdoDb, $smarty;

Util::directAccessAllowed();

$crons = Cron::manageTableInfo();
$newCrons = [];
foreach ($crons as $cron) {
    $link = $cron['invoiceId'];
    $id = preg_replace("/^.*href.*id=(\d+)'>\d+<\/a>$/", "$1", $link);
    $rec = Invoice::getOne($id);
    $cron['total'] = $rec['total'];
    $cron['locale'] = preg_replace('/^(.*)_(.*)$/','$1-$2', $rec['locale']);
    $cron['currency_code'] = $rec['currency_code'];
    $newCrons[] = $cron;
}

$data = json_encode(['data' => $newCrons]);
if (file_put_contents("public/data.json", $data) === false) {
    exit("Unable to create public/data.json file");
}

$smarty->assign("numberOfRows", count($newCrons));

$smarty->assign('pageActive', 'cron');
$smarty->assign('activeTab', '#money');
